<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    function nameAbbr(firstName, middleName, lastName) {
        if (middleName.length != "") {
            return firstName[0] + " " + middleName[0] + ". " + lastName[0]
        } else if (middleName.length == 0) {
            return firstName[0] + " " + lastName[0]
        } else if (firstName[0] == "" || lastName == "") {
            console.log("MISSING INFORMATION")
        }

    }

    console.log("Abbreviate John Smith: ", nameAbbr("John", "", "Smith"));
    console.log("Abbreviate John Hans Smith: ", nameAbbr("John", "Hans", "Smith"));

</script>

</html>